2019-10-18 12:13 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001669FSSCPgraphicspublic2008-09-26 01:09
Reportercolecampbell666 
Assigned Tophreak 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001669: Inverted colors on screenshots/when paused
DescriptionWhen 3.6.10 (build below) is used in conjunction with 3.6.10 Beta MVPs, colors become inverted in some cases (mainly blue, red, and green) when game is paused, and on screenshots.
Additional InformationBuild

http://www.freespacefaq.com/Misc-Downloads/Builds/Is-Player-Build.7z
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001668closed Inverted colors on screenshots/when paused 
related to 0001760closed Mainhall colors get messed up when exiting 
+Relationships

-Notes

~0009238

Backslash (developer)

Last edited: 2008-04-23 03:04

I get this as well. I'm using an ATI x1950, running the game windowed.

To be specific, from my messing around in Irfanview it's exactly an RGB -> BGR swap. So just the red and blue.

~0009239

taylor (administrator)

It's a driver bug. There have been discussions in the forums about it before.

~0009241

phreak (developer)

probably just need a command line option to change the screenshot behavior, much like the "Fix Geforce 4 font" in the days of yore.

~0009245

Tolwyn (reporter)

Not really, it depends on the driver in use. I have an ATI xt1900 and screen capture function works for me.

I do have inverted colors when the game parses available missions in the tech room or when I pause the game...

~0009303

taylor (administrator)

There won't be a code fix for this, since the code isn't broken. And there really isn't a way to determine whether a particular video card or driver version is going to demonstrate the problem anyway, not to mention the fact that it's OS dependent as well.

~0009632

phreak (developer)

A possible fix has been committed to SVN. If you suffer from this issue, open the launcher and under the "Troubleshooting" command line section, select the "Fix Color issues on some ATI cards" option.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-21 21:32 colecampbell666 New Issue
2008-04-21 21:32 colecampbell666 File Added: screen0007.tga
2008-04-22 03:23 phreak Relationship added has duplicate 0001668
2008-04-23 03:03 Backslash Note Added: 0009238
2008-04-23 03:04 Backslash Note Edited: 0009238
2008-04-23 03:35 taylor Note Added: 0009239
2008-04-25 20:54 phreak Note Added: 0009241
2008-04-26 08:12 Tolwyn Note Added: 0009245
2008-05-06 00:16 taylor Note Added: 0009303
2008-08-17 23:57 phreak Status new => assigned
2008-08-17 23:57 phreak Assigned To => phreak
2008-08-31 22:53 phreak Note Added: 0009632
2008-09-09 02:30 phreak Relationship added related to 0001760
2008-09-26 01:09 phreak Status assigned => resolved
2008-09-26 01:09 phreak Resolution open => fixed
+Issue History